DECLARE @StateBorder GEOGRAPHY = (
		SELECT Border 
		FROM Application.StateProvinces 
		WHERE StateProvinceName = 'Alabama') ;

DECLARE @Office GEOGRAPHY = (
		SELECT DeliveryLocation 
		FROM Application.SystemParameters) ;

DECLARE @MilesRatio INT = 0.000621371 ;

SELECT  
	   Customer.CustomerName AS CustomerName
	 , City.CityName AS City
	 , Customer.DeliveryLocation.ToString() AS DeliveryLocation
	 , Customer.DeliveryLocation.STDistance(@Office) * @MilesRatio AS DeliveryDistanceMiles
FROM SALES.Customers Customer
INNER JOIN Application.Cities City
	ON City.CityID = Customer.DeliveryCityID
WHERE Customer.DeliveryLocation.STWithin(@StateBorder) = 1
ORDER BY DeliveryDistanceMiles ;
