USE WideWorldImporters
GO

DECLARE @Region NVARCHAR(20) = 'America' ;

DECLARE @RegionHierarchy HIERARCHYID =
    (
	 SELECT SalesAreaHierarchy 
	 FROM Sales.SalesAreaHierarchyID 
	 WHERE SalesAreaName = @Region
	) ;

SELECT
      SUM(SalesYTD) AS TotalSalesYTD
    , SUM(CountOfSalesPeople) AS TotalSalesPeople
    , SUM(SalesYTD) / SUM(CountOfSalesPeople) AS AverageSalesPerSalesPerson
    , ISNULL(SalesAreaName, @Region)
FROM Sales.SalesAreaHierarchyID
WHERE SalesAreaHierarchy.IsDescendantOf(@RegionHierarchy) = 1
        AND SalesAreaHierarchy <> @RegionHierarchy
GROUP BY SalesAreaName  WITH ROLLUP ;
